Retrieve Properties of a Temporary Queue

get

/temporaryQueues/{queueName}

Return the properties of a temporary queue with the given name.

Request

Path Parameters
Back to Top

Response

201 Response

Properties of the temporary queue. 

The format for listing a single temporary queue is as follows:

<temporaryQueue> 
  <name>queue name</name>
  <connection>name of the connection with which the queue is associated</connection> 
  <canonicalLink>relative path to temporary queue</canonicalLink> 
</temporaryQueue>

404 Response

Error Codes

  • destinationNotFound: The temporary destination that is requested does not exist.

500 Response

Error Codes

  • operationFailed:A low-level exception occurred in attempting to retrieve the queue's properties.
Back to Top

Examples

cURL Command

cookie=/tmp/messaging-cookie
curl -s -u $USER:$PASS -c $cookie -b $cookie \
     -H "X-OC-ID-TOKEN-STATUS: disabled" \
     -X GET "https://messaging.us2.oraclecloud.com/myService-myTenant/api/v1/temporaryQueues/CFDF99EE0C424C21"

There is no request body to submit with the HTTP request.

Example of Response Body

<?xml version='1.0' encoding='UTF-8'?>
<temporaryQueue>
  <name>CFDF99EE0C424C21</name>
  <connection>myFirstConnection</connection>
  <canonicalLink>/myService-myTenant/api/v1/temporaryQueues/CFDF99EE0C424C21</canonicalLink>
</temporaryQueue>
Back to Top